Name:           nazghul
Version:        0.5.3
Release:        5%{?dist}
Summary:        A computer role-playing game (CRPG) engine

Group:          Amusements/Games
License:        GPL
URL:            http://myweb.cableone.net/gmcnutt/nazghul.html
Source0:        http://dl.sourceforge.net/nazghul/nazghul-%{version}.tar.gz
Source1:	haxima.desktop
Source2:	haxima.png
Patch0:		nazghul-haxima-startup.patch
Patch1:		nazghul-0.5.3-64bit.patch
Patch2:		nazghul-0.5.3-diagonalattackfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	SDL_image-devel, desktop-file-utils

%description
Nazghul is an old-school RPG engine modeled after those made in the
heyday of top-down, 2d tile-based graphics. It is specifically modeled
after Ultima V.


%package haxima
Summary:	A full-featured role-playing game for the Nazghul engine
Group:		Amusements/Games
Requires:	nazghul = %{version}

%description haxima
A complete, playable and full-featured role playing game which runs
under the Nazghul CRPG engine.

You must install Nazghul in order to play Haxima.


%prep
%setup -q
%patch0
%patch1 -b .64bit
%patch2 -p1 -b .diagonalattackfix
mv doc/* .


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT/%{_bindir}/haxima.sh $RPM_BUILD_ROOT/%{_bindir}/haxima

desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        %{SOURCE1}

install -D -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/haxima.png


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/nazghul
%dir %{_datadir}/nazghul
%doc AUTHORS ChangeLog COPYING INSTALL NEWS GAME_RULES GHULSCRIPT
%doc MAP_HACKERS_GUIDE engine_extension_and_design world_building


%files haxima
%defattr(-,root,root,-)
%{_bindir}/haxima
%{_datadir}/nazghul/haxima
%{_datadir}/applications/fedora-haxima.desktop
%{_datadir}/pixmaps/haxima.png
%doc USERS_GUIDE


%changelog
* Thu Jun  8 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-5
- Add fix for crash when attacking diagonally in the wilderness.

* Tue Feb 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-4
- More 64bit fixes.
- Package additional documentation.

* Mon Feb 13 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-3
- Add some 64-bit cleanliness fixes.

* Tue Feb  7 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-2
- Incorporate some review suggestions
- Patch bug with generation of haxima.sh.

* Sun Feb  5 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.3-1
- Update to 0.5.3

* Sat Jan 28 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 0.5.2-1
- Initial attempt
